Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatFunctionCall

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatFunctionCall

@Deprecated public class OpenAiChatFunctionCall extends Object
Deprecated.
The name of the function to call, or, the function that the model called.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiChatFunctionCall()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `String`
  `getArguments()`
  Deprecated.
  The arguments to call the function with, as generated by the model in JSON format.
  `String`
  `getName()`
  Deprecated.
  Name of the function call.
  `int`
  `hashCode()`
  Deprecated.
  `OpenAiChatFunctionCall`
  `setArguments(String arguments)`
  Deprecated.
  The arguments to call the function with, as generated by the model in JSON format.
  `OpenAiChatFunctionCall`
  `setName(String name)`
  Deprecated.
  Name of the function call.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiChatFunctionCall

    public OpenAiChatFunctionCall()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### getName

    @Nonnull public String getName()
    Deprecated.
    Name of the function call.

  - ### setName

    public OpenAiChatFunctionCall setName(@Nonnull String name)
    Deprecated.
    Name of the function call.
    Returns:
      `this`.

  - ### getArguments

    @Nonnull public String getArguments()
    Deprecated.
    The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.

  - ### setArguments

    public OpenAiChatFunctionCall setArguments(@Nonnull String arguments)
    Deprecated.
    The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
    Returns:
      `this`.